## org.apache.hive.jdbc
Class HttpBasicAuthInterceptor

    java.lang.Object
      org.apache.hive.jdbc.HttpBasicAuthInterceptor

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class HttpBasicAuthInterceptor

extends Object
implements org.apache.http.HttpRequestInterceptor

The class is instantiated with the username and password, it is then used to add header with these credentials to HTTP requests

Constructor Summary
`HttpBasicAuthInterceptor(String username, String password)`

Method Summary
`void` `process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpBasicAuthInterceptor

    public HttpBasicAuthInterceptor(String username,
                                    String password)

Method Detail

### process

    public void process(org.apache.http.HttpRequest httpRequest,
                        org.apache.http.protocol.HttpContext httpContext)
                 throws org.apache.http.HttpException,
                        IOException

  Specified by:
    `process` in interface `org.apache.http.HttpRequestInterceptor`
  Throws:
    `org.apache.http.HttpException`
    `IOException`

Copyright © 2014 The Apache Software Foundation. All rights reserved.